Skip to content

Creates a new organization record that does not already exist.

Request

This method will auto-generate an ID and create a new organization. If an ID is specified for the organization, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The organization that you would like to be saved.

acronymstring(Acronym)

The acronym for the organization, if applicable

addressobject(Address)

A complete address

alt_phone_numberstring(Alt Phone Number)

The alternative phone number

alternate_domain_namesArray of strings(Alternate Domain Names)

Alternate domain names that are associated with this organization

ancestor_organization_idsArray of strings, >= 0 items(Ancestor Organizations)

The ancestor organizations, including the parent organization

billing_addressobject(Address)

A complete address

contact_role_compliance_statusstring(Contact Role Compliance Status)
Enum:"in compliance""not in compliance"
contact_role_compliance_violationsArray of objects, non-emptyrequired
custom_field_valuesArray of objects(Custom Field Values)
date_profile_last_updatedstring, (date-time)(Date Profile Last Updated)

The date that this organization profile was last updated

descriptionstring(Description)

A description of the organization

domain_namestring(Domain Name)
facebookstring(Facebook)

Url to the organization's Facebook account

fax_phone_numberstring(Fax Phone Number)

The fax phone number

flagsArray of strings(Flags)

Flags that indicate what type of organization this is

idstring(ID)^[\w|-]+$

The unique, string identifier of this organization

linked_instring(LinkedIn)

Url to the organization's LinkedIn account

logo_urlstring(Logo Url)

Url of a logo for this organization

main_phone_numberstring(Main Phone Number)

The primary phone number

namestring(Name)required

The name of the organization

notesstring(Notes)

Any organization notes

numbernumber, (float)(Number)required

The contact number

number_of_ancestorsnumber, (float)(Number Of Ancestors)

The number of ancestors this organization has

other_addressesArray of objects
other_phone_numbersArray of objects
override_automatic_region_assignmentboolean(Override Automatic Region Assignment)

If true, the region assignment for this record is overridden and should not be automatically assigned

parent_organization_idstring(Parent Organization)

The parent organization of this one

region_idstring(Region)

The region

statusstring(Status)

The status of the organization record

Enum:"active""duplicate""inactive"
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_search_citystring(Sys Search City)

Search field, internal use only

sys_search_city_lowerstring(Sys Search City Lower)

Search field, internal use only

sys_search_domain_namestring(Sys Search Domain Name)

Search field, internal use only

sys_search_namestring(Sys Search Name)

Search field, internal use only

sys_search_statestring(Sys Search State)

Search field, internal use only

sys_search_state_lowerstring(Sys Search State Lower)

Search field, internal use only

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

tax_exemptboolean(Tax Exempt)

Whether or not this organization is tax exempt

top_level_organization_idstring(Top Level Organization)

The top level organization; which is the last entry in the ancestor_organization_ids array

twitterstring(Twitter)

Url to the organization's Twitter account

type_idstring(Type)

The organization type

websitestring(Website)

The url of the organization website

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizations/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "acronym": "string",
    "address": {
      "city": "string",
      "country": "string",
      "country_name": "string",
      "county": "string",
      "latitude": 0.1,
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "longitude": 0.1,
      "postal_code": "string",
      "state": "string",
      "time_zone_id": "string"
    },
    "alt_phone_number": "string",
    "alternate_domain_names": [
      "string"
    ],
    "ancestor_organization_ids": [
      "string"
    ],
    "billing_address": {
      "city": "string",
      "country": "string",
      "country_name": "string",
      "county": "string",
      "latitude": 0.1,
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "longitude": 0.1,
      "postal_code": "string",
      "state": "string",
      "time_zone_id": "string"
    },
    "contact_role_compliance_status": "in compliance",
    "contact_role_compliance_violations": [
      {
        "compliance_value": 0.1,
        "contact_role_id": "string",
        "contact_role_name": "string",
        "number_of_contacts": 0.1,
        "violation_type": "too few"
      }
    ],
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "date_profile_last_updated": "2019-08-24T14:15:22Z",
    "description": "string",
    "domain_name": "string",
    "facebook": "string",
    "fax_phone_number": "string",
    "flags": [
      "string"
    ],
    "id": "string",
    "linked_in": "string",
    "logo_url": "string",
    "main_phone_number": "string",
    "name": "string",
    "notes": "string",
    "number": 0.1,
    "number_of_ancestors": 0.1,
    "other_addresses": [
      {
        "address": {
          "city": "string",
          "country": "string",
          "country_name": "string",
          "county": "string",
          "latitude": 0.1,
          "line1": "string",
          "line2": "string",
          "line3": "string",
          "longitude": 0.1,
          "postal_code": "string",
          "state": "string",
          "time_zone_id": "string"
        },
        "type_id": "string"
      }
    ],
    "other_phone_numbers": [
      {
        "phone_number": "string",
        "type_id": "string"
      }
    ],
    "override_automatic_region_assignment": true,
    "parent_organization_id": "string",
    "region_id": "string",
    "status": "active",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_search_city": "string",
    "sys_search_city_lower": "string",
    "sys_search_domain_name": "string",
    "sys_search_name": "string",
    "sys_search_state": "string",
    "sys_search_state_lower": "string",
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "tax_exempt": true,
    "top_level_organization_id": "string",
    "twitter": "string",
    "type_id": "string",
    "website": "string"
  }'

Responses

The organization was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
acronymstring(Acronym)

The acronym for the organization, if applicable

addressobject(Address)

A complete address

alt_phone_numberstring(Alt Phone Number)

The alternative phone number

alternate_domain_namesArray of strings(Alternate Domain Names)

Alternate domain names that are associated with this organization

ancestor_organization_idsArray of strings, >= 0 items(Ancestor Organizations)

The ancestor organizations, including the parent organization

billing_addressobject(Address)

A complete address

contact_role_compliance_statusstring(Contact Role Compliance Status)
Enum:"in compliance""not in compliance"
contact_role_compliance_violationsArray of objects, non-emptyrequired
custom_field_valuesArray of objects(Custom Field Values)
date_profile_last_updatedstring, (date-time)(Date Profile Last Updated)

The date that this organization profile was last updated

descriptionstring(Description)

A description of the organization

domain_namestring(Domain Name)
facebookstring(Facebook)

Url to the organization's Facebook account

fax_phone_numberstring(Fax Phone Number)

The fax phone number

flagsArray of strings(Flags)

Flags that indicate what type of organization this is

idstring(ID)^[\w|-]+$

The unique, string identifier of this organization

linked_instring(LinkedIn)

Url to the organization's LinkedIn account

logo_urlstring(Logo Url)

Url of a logo for this organization

main_phone_numberstring(Main Phone Number)

The primary phone number

namestring(Name)required

The name of the organization

notesstring(Notes)

Any organization notes

numbernumber, (float)(Number)required

The contact number

number_of_ancestorsnumber, (float)(Number Of Ancestors)

The number of ancestors this organization has

other_addressesArray of objects
other_phone_numbersArray of objects
override_automatic_region_assignmentboolean(Override Automatic Region Assignment)

If true, the region assignment for this record is overridden and should not be automatically assigned

parent_organization_idstring(Parent Organization)

The parent organization of this one

region_idstring(Region)

The region

statusstring(Status)

The status of the organization record

Enum:"active""duplicate""inactive"
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_search_citystring(Sys Search City)

Search field, internal use only

sys_search_city_lowerstring(Sys Search City Lower)

Search field, internal use only

sys_search_domain_namestring(Sys Search Domain Name)

Search field, internal use only

sys_search_namestring(Sys Search Name)

Search field, internal use only

sys_search_statestring(Sys Search State)

Search field, internal use only

sys_search_state_lowerstring(Sys Search State Lower)

Search field, internal use only

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

tax_exemptboolean(Tax Exempt)

Whether or not this organization is tax exempt

top_level_organization_idstring(Top Level Organization)

The top level organization; which is the last entry in the ancestor_organization_ids array

twitterstring(Twitter)

Url to the organization's Twitter account

type_idstring(Type)

The organization type

websitestring(Website)

The url of the organization website

Response
{ "acronym": "string", "address": { "city": "string", "country": "string", "country_name": "string", "county": "string", "latitude": 0.1, "line1": "string", "line2": "string", "line3": "string", "longitude": 0.1, "postal_code": "string", "state": "string", "time_zone_id": "string" }, "alt_phone_number": "string", "alternate_domain_names": [ "string" ], "ancestor_organization_ids": [ "string" ], "billing_address": { "city": "string", "country": "string", "country_name": "string", "county": "string", "latitude": 0.1, "line1": "string", "line2": "string", "line3": "string", "longitude": 0.1, "postal_code": "string", "state": "string", "time_zone_id": "string" }, "contact_role_compliance_status": "in compliance", "contact_role_compliance_violations": [ { … } ], "custom_field_values": [ { … } ], "date_profile_last_updated": "2019-08-24T14:15:22Z", "description": "string", "domain_name": "string", "facebook": "string", "fax_phone_number": "string", "flags": [ "string" ], "id": "string", "linked_in": "string", "logo_url": "string", "main_phone_number": "string", "name": "string", "notes": "string", "number": 0.1, "number_of_ancestors": 0.1, "other_addresses": [ { … } ], "other_phone_numbers": [ { … } ], "override_automatic_region_assignment": true, "parent_organization_id": "string", "region_id": "string", "status": "active", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_search_city": "string", "sys_search_city_lower": "string", "sys_search_domain_name": "string", "sys_search_name": "string", "sys_search_state": "string", "sys_search_state_lower": "string", "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "tax_exempt": true, "top_level_organization_id": "string", "twitter": "string", "type_id": "string", "website": "string" }